VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::system::UpdateTypes::UpdateDay Class Reference

`Update.UpdateDay` enumerated type Defines days to query for updates More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, Monday, Tuesday, Friday, Wednesday, Thursday, Saturday, Sunday, Everyday }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UpdateDay[] | GetValues ()
static UpdateDay | ValueOf (string name)
## Static Public Attributes
static readonly UpdateDay | Monday = new UpdateDay("Monday", Values.Monday)
| query for updates on Monday
static readonly UpdateDay | Tuesday = new UpdateDay("Tuesday", Values.Tuesday)
| query for updates on Tuesday
static readonly UpdateDay | Friday = new UpdateDay("Friday", Values.Friday)
| query for updates on Friday
static readonly UpdateDay | Wednesday = new UpdateDay("Wednesday", Values.Wednesday)
| query for updates on Wednesday
static readonly UpdateDay | Thursday = new UpdateDay("Thursday", Values.Thursday)
| query for updates on Thursday
static readonly UpdateDay | Saturday = new UpdateDay("Saturday", Values.Saturday)
| query for updates on Saturday
static readonly UpdateDay | Sunday = new UpdateDay("Sunday", Values.Sunday)
| query for updates on Sunday
static readonly UpdateDay | Everyday = new UpdateDay("Everyday", Values.Everyday)
| query for updates everyday

## Detailed Description

`Update.UpdateDay` enumerated type Defines days to query for updates

## Member Enumeration Documentation

enum vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  Monday | query for updates on Monday
  Tuesday | query for updates on Tuesday
  Friday | query for updates on Friday
  Wednesday | query for updates on Wednesday
  Thursday | query for updates on Thursday
  Saturday | query for updates on Saturday
  Sunday | query for updates on Sunday
  Everyday | query for updates everyday

## Member Function Documentation

Values vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::GetEnumValue | ( |  | ) | `[inline]`

static UpdateDay [] vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::IsUnknown | ( |  | ) | `[inline]`

static UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Everyday = new UpdateDay("Everyday", Values.Everyday)`[static]`

query for updates everyday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Friday = new UpdateDay("Friday", Values.Friday)`[static]`

query for updates on Friday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Monday = new UpdateDay("Monday", Values.Monday)`[static]`

query for updates on Monday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Saturday = new UpdateDay("Saturday", Values.Saturday)`[static]`

query for updates on Saturday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Sunday = new UpdateDay("Sunday", Values.Sunday)`[static]`

query for updates on Sunday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Thursday = new UpdateDay("Thursday", Values.Thursday)`[static]`

query for updates on Thursday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Tuesday = new UpdateDay("Tuesday", Values.Tuesday)`[static]`

query for updates on Tuesday

readonly UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateDay::Wednesday = new UpdateDay("Wednesday", Values.Wednesday)`[static]`

query for updates on Wednesday

The documentation for this class was generated from the following file:

- UpdateTypes.cs